Re: [Rd] Buglet in install.packages warning message

From: Martin Maechler <maechler_at_stat.math.ethz.ch>
Date: Mon 21 Mar 2005 - 08:24:06 GMT

>>>>> "Seth" == Seth Falcon <sfalcon@fhcrc.org>
>>>>> on Sun, 20 Mar 2005 18:34:13 -0800 writes:

    Seth> I've been experimenting with install.packages and it's
    Seth> new ability to track down dependencies from a list of
    Seth> repositories and encountered this:

    Seth> install.packages(c("foo", "bar"),
    Seth> repos="http://cran.r-project.org",     Seth> dependencies=c("Depends", "Suggests"))
    Seth> dependencies 'foo' are not availabledependencies 'bar'
    Seth> are not available ^^^^^^^^^^^^^^^^^^^^

    Seth> With the following change (see below) I get what I     Seth> suspect is the intended warning message:

    Seth> dependencies 'foo', 'bar' are not available

Indeed.
Thank you Seth! - I've committed your change to be in '` R-alpha of 2005-03-22 ''

Apropos: Please, all users of R-2.1.0 (alpha) {aka "R-devel"}:

	  ``keep your eyes open'' for not quite correctly
	  formatted error messages, or even other problems in
	  error and warning messages.

The large amount of work that was put in (mostly by Prof Brian Ripley) rationalizing these messages in order to make them more consistent (for translation, e.g.!) may have lead to a few typos that are unavoidable when changing those thousand of lines of code efficiently.

Martin



R-devel@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel Received on Mon Mar 21 19:26:55 2005

This archive was generated by hypermail 2.1.8 : Mon 24 Oct 2005 - 22:26:31 GMT